Next Commerce
Payments

Gateway Groups Retrieve

Retrieve a gatway group.

GET
/gateway-groups/{id}/

Authorization

oauth2 gateways:read
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: gateways:read

Path Parameters

id*integer

A unique integer value identifying this Gateway Group.

Header Parameters

X-29next-API-Version*"2023-02-10"
Default"2023-02-10"

Value in

  • "2023-02-10"

Response Body

application/json

curl -X GET "https://example.com/gateway-groups/0/" \  -H "X-29next-API-Version: 2023-02-10"
{  "available_currencies": [    {      "code": "strin",      "label": "string"    }  ],  "available_express_payment_methods": [    {      "code": "string",      "label": "string"    }  ],  "available_payment_methods": [    {      "code": "string",      "label": "string",      "supported_currencies": [        null      ]    }  ],  "card_types": [    {      "code": "string",      "label": "string"    }  ],  "id": 0,  "name": "string"}